January 30, 2023, 11:25:05 am
Welcome, Guest. Please login or register.
Did you miss your activation email
News:

Arturia Forums



Author Topic: why is it not possible to have spark 1 and spark 2?  (Read 5270 times)

djwaxxy

  • Apprentice
  • Apprentice
  • *
  • Posts: 29
  • Karma: 0
why is it not possible to have spark 1 and spark 2?
« on: May 18, 2014, 02:20:08 am »
why can I not have spark 1 and spark 2 on my computer?if I install spark 1 it overwrites spark 2 and same goes for spark 2 there are things I really like in spark 1 which spark 2 doesn't have and itd be nice to allow both too be used seeing as ive paid for both.

Kevin

  • Hero Member
  • *****
  • Posts: 1.545
  • Karma: 82
    • http://www.arturia.com
Re: why is it not possible to have spark 1 and spark 2?
« Reply #1 on: May 19, 2014, 10:00:32 am »
Hi,
this is definitely not possible, sorry.
Can you tell me what is in Spark 1 you miss in Spark 2?
Kevin
Soft Arturia

HubyBlake

  • Apprentice
  • Apprentice
  • *
  • Posts: 31
  • Karma: 0
    • hugmusic.net
Re: why is it not possible to have spark 1 and spark 2?
« Reply #2 on: June 02, 2014, 04:53:20 am »
Kevin, I'd love Spark 1 and 2 to co-exist too, for these reasons -
The Spark 2 GUI doesn't correlate to SparkLE as Spark 1.7 does. It obviously looks different. Would be great to have SparkLE as a skin option as you've done with the Spark Creatives. 
Also the simplicity of the Spark 1.7 GUI - the window above and below - is also appealing. Spark 2 is more complex.
And, Spark 2 doesn't work on Snow Leopard. I have a mountain lion desktop and a snow leopard laptop. Would be nice to be able to go back and forth, opening files on either one.

stuey

  • Spark Moderator
  • Hero Member
  • ******
  • Posts: 711
  • Karma: 27
Re: why is it not possible to have spark 1 and spark 2?
« Reply #3 on: June 02, 2014, 10:41:52 am »
Quote
The Spark 2 GUI doesn't correlate to SparkLE as Spark 1.7 does.

Hi, it's specifically supports SparkLE.

Quote
Would be great to have SparkLE as a skin option

It does, check the prefs.

Quote
Would be nice to be able to go back and forth, opening files on either one.

Upgrade to ML, so you have all machines on the same OS, same version of software. Far safer this way.

It's always worth going through the software with a fine tooth comb before posting a message as it generally does what you want it to do straight away.

Thanks, Stuart
Mac 10.7.5
2.3Ghz Quad Core 'Clovertown'
8 Gb 667 RAM
SSD Boot Drive
Lynx Aurora 8
Lynx AES16
UAD LA 610 Mk 2
UAD 2 Duo
Arturia Spark
Arturia Analog Laboratory 61
Pro Tools 10.3.7
Arturia V Collection
Arturia Analog Laboratory
Arturia Brass 2
Ableton Live 8
Reason 6.5
Melodyne Studio 3

HubyBlake

  • Apprentice
  • Apprentice
  • *
  • Posts: 31
  • Karma: 0
    • hugmusic.net
Re: why is it not possible to have spark 1 and spark 2?
« Reply #4 on: June 02, 2014, 07:00:40 pm »
Quote
The Spark 2 GUI doesn't correlate to SparkLE as Spark 1.7 does.

Hi, it's specifically supports SparkLE.
?? You may misunderstand me. Spark 1.7 has a skin identical to SparkLE. Spark 2 does not have a SparkLE skin, it has extra pads, extra buttons, and different logo positions. Sure these are cosmetic differences... but the skin is cosmetic. It'd be nice if there was an option to have Spark 2 look identical to SparkLE, but as it doesn't it'd be nice to still have Spark 1.7 on the same computer for the aforementioned cross-computer purposes.


Quote
Quote
Would be great to have SparkLE as a skin option

It does, check the prefs.

I wouldn't be posting if it did. Check the prefs yourself bro. It has the default Spark 2 skin, and then the creative skin options of VD, EDM, Dubstep and Spark. It'd also be nice if there were VD, Dubstep options for SparkLE too, but whatever... My favourite skin is the Vintage Drums skin, but it's a little confusing using it with SparkLE, so I'm stuck with the default skin.

Being able to personalise the skins as per Rebirth for example, would be awesome. Or at least different colour customisations like Ableton or ProTools has, but rock and roll. It's not a deal-breaker... would just make it more fun to use.

Quote
Quote
Would be nice to be able to go back and forth, opening files on either one.

Upgrade to ML, so you have all machines on the same OS, same version of software. Far safer this way.

The laptop can't run ML, and I need a machine with Snow Leopard on it anyway, to run rosetta so older sessions from other programs can be opened. Please lay off the advice bro. My need is to have some software run on both ML and SL. Obviously Spark2 can't run on SL, but it'd be nice if Spark1.7 and Spark2 could both co-exist on the one machine.

Quote
It's always worth going through the software with a fine tooth comb before posting a message as it generally does what you want it to do straight away.

Thanks, Stuart

It's always worth going through a person's post before replying, so you understand what they mean, and don't reply with inapplicable advice.

Cheers
« Last Edit: June 02, 2014, 07:02:20 pm by HubyBlake »

stuey

  • Spark Moderator
  • Hero Member
  • ******
  • Posts: 711
  • Karma: 27
Re: why is it not possible to have spark 1 and spark 2?
« Reply #5 on: June 02, 2014, 07:37:07 pm »
Quote
?? You may misunderstand me. Spark 1.7 has a skin identical to SparkLE. Spark 2 does not have a SparkLE skin, it has extra pads, extra buttons, and different logo positions. Sure these are cosmetic differences... but the skin is cosmetic. It'd be nice if there was an option to have Spark 2 look identical to SparkLE, but as it doesn't it'd be nice to still have Spark 1.7 on the same computer for the aforementioned cross-computer purposes.


The buttons that are missing wound't be much use in software. Select, 1-8, 9-16 and the now defunct Library knob. The later might change if they re-impliment the library from the jog wheel. I get what you mean, but would it not be silly to put stuff on that didn't do anything or go anywhere?

You'd have people posting things on the forum saying that when they click on the 'whatever' button and it doesn't do anything. Then posts saying 'why put stuff on the GUI that doesn't work!?' Dammed if they do, dammed if they don't scenario.   

Quote
but it'd be nice if Spark1.7 and Spark2 could both co-exist on the one machine.

Give me an example of software that is installed via a DMG (not dragged into the apps folder) that co-exits with it's predecessor. The clue is in the title, it's an upgrade, and therefore it 'Upgrades' what you already have.

You'll get yourself tangled in knots when trying to pass projects from software that resides on all manner of versions. Backward compatibility, OS restrictions, it's too much of a headache. 1.7 runs on Lion as does 1.7.2. If you're laptop can run SL, it'll run Lion. My main audio machine was on Lion for ages when I had a ML laptop. I exported kits and Projects all day long.

If you want true cross platform success then both machines have to be running exactly the same thing, same updates, same OS. same same same. Then you know you have like for like. If you don't have that like for like compatibility you can't expect that kind of support.

Thanks, Stuart

Mac 10.7.5
2.3Ghz Quad Core 'Clovertown'
8 Gb 667 RAM
SSD Boot Drive
Lynx Aurora 8
Lynx AES16
UAD LA 610 Mk 2
UAD 2 Duo
Arturia Spark
Arturia Analog Laboratory 61
Pro Tools 10.3.7
Arturia V Collection
Arturia Analog Laboratory
Arturia Brass 2
Ableton Live 8
Reason 6.5
Melodyne Studio 3

HubyBlake

  • Apprentice
  • Apprentice
  • *
  • Posts: 31
  • Karma: 0
    • hugmusic.net
Re: why is it not possible to have spark 1 and spark 2?
« Reply #6 on: June 03, 2014, 03:28:34 am »

Give me an example of software that is installed via a DMG (not dragged into the apps folder) that co-exits with it's predecessor. The clue is in the title, it's an upgrade, and therefore it 'Upgrades' what you already have.

Reason can have multiple versions on the same computer. ProTools 10 & 11 can co-exist. I've had Cubase 4 and 6.5 on the same machine simultaneously. It's not too much to ask, many other DAWs and Apps do it.

Quote
You'll get yourself tangled in knots when trying to pass projects from software that resides on all manner of versions. Backward compatibility, OS restrictions, it's too much of a headache. 1.7 runs on Lion as does 1.7.2.
Again with the advice. Please leave off. I've been doing this for decades. I do not need you telling me what ties me in knots or not. It's a simple ask to have two versions of an app on the same computer, as so many other apps do.


Quote
If you're laptop can run SL, it'll run Lion. My main audio machine was on Lion for ages when I had a ML laptop. I exported kits and Projects all day long.
You ignored the Rosetta need. Lion doesn't run Rosetta. Yes, I need a Snow leopard machine. Enough with the advice about what you know not.

Quote
If you want true cross platform success then both machines have to be running exactly the same thing, same updates, same OS. same same same. Then you know you have like for like. If you don't have that like for like compatibility you can't expect that kind of support.

Thanks, Stuart

No, that's not what I asked for. I do not want or need total cross platforming. But at the moment, I can run a number of apps on both ML and SL that suit me. Hence I have a need to open both Spark 1.7 and 2 or else I'm forced into backgrading down to Spark 1.7. Looks like that's what I'll have to do. Cheers.


stuey

  • Spark Moderator
  • Hero Member
  • ******
  • Posts: 711
  • Karma: 27
Re: why is it not possible to have spark 1 and spark 2?
« Reply #7 on: June 03, 2014, 11:21:31 am »
Quote
Reason can have multiple versions on the same computer. ProTools 10 & 11 can co-exist. I've had Cubase 4 and 6.5 on the same machine simultaneously.

Bad example. Reason is dragged into the apps folder replacing what is there unless you rename your previous version. There was a time when Record and Reason could co-exist but they are now a combined app. You also were able to run in 32 bit mode to get around machine restrictions.
Pro Tools 10 and Pro Tools 11 are totally different, one is 32, the other 64. They also run with different plug in formats hence the need to potentially have two on your system. Cubase 4?! Now we're getting to the reason why you've asked the question.


You've not actually given a legitimate reason why it would be advantageous for this to happen, apart from your personal requirement at this point in time. Hardly a feature that people are crying out for is it.

Classic feature 101, it has a 100 features but you want the one it doesn't have. Not wanting to provoke another reactionary response, you have two options. Upgrade your hardware so you can run a newer OS, or be content with running older software. You can't have your cake and eat it mate.
 
Thanks, Stuart

Mac 10.7.5
2.3Ghz Quad Core 'Clovertown'
8 Gb 667 RAM
SSD Boot Drive
Lynx Aurora 8
Lynx AES16
UAD LA 610 Mk 2
UAD 2 Duo
Arturia Spark
Arturia Analog Laboratory 61
Pro Tools 10.3.7
Arturia V Collection
Arturia Analog Laboratory
Arturia Brass 2
Ableton Live 8
Reason 6.5
Melodyne Studio 3

HubyBlake

  • Apprentice
  • Apprentice
  • *
  • Posts: 31
  • Karma: 0
    • hugmusic.net
Re: why is it not possible to have spark 1 and spark 2?
« Reply #8 on: June 03, 2014, 02:55:56 pm »
Quote
Reason can have multiple versions on the same computer. ProTools 10 & 11 can co-exist. I've had Cubase 4 and 6.5 on the same machine simultaneously.

Bad example. Reason is dragged into the apps folder replacing what is there unless you rename your previous version. There was a time when Record and Reason could co-exist but they are now a combined app. You also were able to run in 32 bit mode to get around machine restrictions.
Pro Tools 10 and Pro Tools 11 are totally different, one is 32, the other 64. They also run with different plug in formats hence the need to potentially have two on your system.
You're citing the process as a reason for why the result is different.. It starts with an intent, then you create the process. If Arturia wanted to, they could make co-existing versions, as the others have. I didn't even mention Ableton versions, but it's the same with them. There's a precedent.

Quote
Cubase 4?! Now we're getting to the reason why you've asked the question.
You insult me because I've been using DAWs and sequencers for 20 years? What the heck is with you? Yes I used Cubase 4, and when I upgraded to Cubase 6.5 I kept both apps on my computer. What the heck is your problem? Prior to Cubase 4 I used Cubase VST/32 on OS9. Prior to that I used Cubase on Ataris. So what?? It doesn't invalidate what I'm saying about the history of co-existing versions of a music-making app on a computer.

Quote
You've not actually given a legitimate reason why it would be advantageous for this to happen, apart from your personal requirement at this point in time. Hardly a feature that people are crying out for is it.
I did not start the thread. Spark 2 is only recently out. And why would people come here and post when they get insulted by you for asking legitimate questions? I'm about done and ready to delete my account because of your responses.

Quote
Classic feature 101, it has a 100 features but you want the one it doesn't have. Not wanting to provoke another reactionary response, you have two options. Upgrade your hardware so you can run a newer OS, or be content with running older software. You can't have your cake and eat it mate.
 
Thanks, Stuart

It's not an option, or a feature of the app itself, but what it does on install - replacing another app.
I mentioned in my last thread I would be backgrading, so again, what is your issue? You tell me to do what I already said I'd do?????

stuey

  • Spark Moderator
  • Hero Member
  • ******
  • Posts: 711
  • Karma: 27
Re: why is it not possible to have spark 1 and spark 2?
« Reply #9 on: June 03, 2014, 03:13:43 pm »
I don't think i'm the one with the issue my friend.

Your question was answered by Kevin on the 19th May, i think we can wrap this up now

Thanks, Stuart
Mac 10.7.5
2.3Ghz Quad Core 'Clovertown'
8 Gb 667 RAM
SSD Boot Drive
Lynx Aurora 8
Lynx AES16
UAD LA 610 Mk 2
UAD 2 Duo
Arturia Spark
Arturia Analog Laboratory 61
Pro Tools 10.3.7
Arturia V Collection
Arturia Analog Laboratory
Arturia Brass 2
Ableton Live 8
Reason 6.5
Melodyne Studio 3

HubyBlake

  • Apprentice
  • Apprentice
  • *
  • Posts: 31
  • Karma: 0
    • hugmusic.net
Re: why is it not possible to have spark 1 and spark 2?
« Reply #10 on: June 03, 2014, 08:34:18 pm »
I don't think i'm the one with the issue my friend.

Your question was answered by Kevin on the 19th May, i think we can wrap this up now

Thanks, Stuart

I posted after Kevin. Kevin asked a question. I answered the question. Had he not asked the question I'd not have posted.
You waded in unnecessarily. I did not ask any questions, i gave an Arturia mod feedback in answer to a question he asked someone I shared a perspective with. I didn't post a complaint seeking help. I gave customer feedback.
« Last Edit: June 03, 2014, 08:37:46 pm by HubyBlake »

Gothboy

  • Full Member
  • ***
  • Posts: 206
  • Karma: 3
    • Dymaxion Vehicle
Re: why is it not possible to have spark 1 and spark 2?
« Reply #11 on: June 04, 2014, 12:36:47 am »
Oh Dear!?  ??? ::) :-[ :-\ ;)
Mac Pro 3.1,2x2.80 GHz. Intel Xeon Quad core 16GB RAM
2 OS drives: El Capitain 10.11.6\Mountain Lion 10.8.5 Ableton Live Suite 9.7.7\10.0.2
V collection 3, SparkLE 2.1, Beatstep

Kevin

  • Hero Member
  • *****
  • Posts: 1.545
  • Karma: 82
    • http://www.arturia.com
Re: why is it not possible to have spark 1 and spark 2?
« Reply #12 on: June 04, 2014, 09:44:40 am »
@HubyBlake: I get your point but this won't be possible at all to have Spark 2 and Spark 1.7 coexists on a single machine, sorry :(.
Kevin
Soft Arturia

HubyBlake

  • Apprentice
  • Apprentice
  • *
  • Posts: 31
  • Karma: 0
    • hugmusic.net
Re: why is it not possible to have spark 1 and spark 2?
« Reply #13 on: June 04, 2014, 02:44:40 pm »
@HubyBlake: I get your point but this won't be possible at all to have Spark 2 and Spark 1.7 coexists on a single machine, sorry :(.

No worries, thanks Kevin. :)

 

Carbonate design by Bloc
SMF 2.0.17 | SMF © 2019, Simple Machines